Loading...
Searching...
No Matches
L4Re::Parent Class Reference
L4Re C++ Interface » Parent API

Parent interface. More...

`#include <parent>`

Inheritance diagram for L4Re::Parent:
Collaboration diagram for L4Re::Parent:

## Public Member Functions

long | signal (unsigned long sig, unsigned long val)
| Send a signal to the parent.
Public Member Functions inherited from L4::Kobject
l4_msgtag_t | dec_refcnt (l4_mword_t diff, l4_utcb_t *utcb=l4_utcb())
| Decrement the in kernel reference counter for the object.

## Additional Inherited Members

Protected Types inherited from L4::Kobject_t< Parent, L4::Kobject, L4RE_PROTO_PARENT >
typedef Parent | Class
| The target interface type (inheriting from Kobject_t).
typedef Typeid::Iface< PROTO, Parent > | __Iface
| The interface description for the derived class.
typedef Typeid::Merge_list< Typeid::Iface_list< __Iface >, typename L4::Kobject::__Iface_list > | __Iface_list
| The list of all RPC interfaces provided directly or through inheritance.
Protected Member Functions inherited from L4::Kobject_t< Parent, L4::Kobject, L4RE_PROTO_PARENT >
L4::Cap< Class > | c () const noexcept
| Get the capability to ourselves.
Protected Member Functions inherited from L4::Kobject
l4_cap_idx_t | cap () const noexcept
| Return capability selector.
Static Protected Member Functions inherited from L4::Kobject_t< Parent, L4::Kobject, L4RE_PROTO_PARENT >
static void | __check_protocols__ () noexcept
| Helper to check for protocol conflicts.

## Detailed Description

Parent interface.

See also
  Parent API for more details about the purpose.

Definition at line 42 of file parent.

## Member Function Documentation

## signal()

long L4Re::Parent::signal | ( | unsigned long | sig,
|  | unsigned long | val )

Send a signal to the parent.

Parameters

  sig | Signal to send
  val | Value of the signal

Return values

  0 | Success
  <0 | IPC error

Note
  The implementations of this interface in Moe and Ned only recognize the signal 0, in which case they will terminate the application from which the interface was invoked and not return. In this case, val is treated as the application's return code. For any other value of sig, the method just returns successfully.

References signal().

Referenced by signal().

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- l4/re/parent